Project

General

Profile

Bug #51

fips_signer should not chek for $(PREFIX)/libexec/ipsec/ at build time

Added by Martin Willi over 12 years ago. Updated over 12 years ago.

Status:
Closed
Priority:
Urgent
Category:
charon
Target version:
Start date:
Due date:
Estimated time:
Affected version:
5.9.1
Resolution:

Description

Then compiling with --enable-integrity-test, $(PREFIX)/libexec/ipsec/ directory may not be available or may have an old version of strongswan library (eg. then compiling strongswan 4.2.x and have strongswan 4.1.x installed, build fail). fips_signer should always check in build directory for libraries and plugins.

History

#1 Updated by Andreas Steffen over 12 years ago

Yes we know that fis_signer has been broken starting with the modular 4.2.0 release. We hope to fix it with the 4.2.3 release.

#2 Updated by Andreas Steffen over 12 years ago

  • Status changed from New to Closed
  • Affected version set to fixed

Fixed by Changeset r4258.

Also available in: Atom PDF